<?php
/**
@brief 削除のための補助
@version $Id$
*/

require_once "exComponent/DeleteConfirm.php";

class PartyDeleteProcessor extends exDeleteConfirmTypicalComponentProcessor {
	function _processDelete(&$component) {
		$handler=&bxParty::getHandler('party');
		if(!$handler->delete($component->obj_))
			return false;

		$handler=&bxParty::getHandler('entry');
		return $handler->deletes(new Criteria("id",$component->obj_->getVar("id")));
	}
}

class EntryDeleteProcessor extends exDeleteConfirmTypicalComponentProcessor {
	function _processDelete(&$component) {
		$handler=&bxParty::getHandler('entry');
		return $handler->delete($component->obj_);
	}
}


?>